netsurf for Porteus 4.0

If you are looking for a specific 32-bit package and you can't find it in any of the 32-bit repos, please post a request for it here.
Post Reply
User avatar
Rava
Contributor
Contributor
Posts: 2932
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc2 + 4.0 i586 XFCe
Location: Forests of Germany

netsurf for Porteus 4.0

Post#1 by Rava » 20 Feb 2021, 12:46

Anyone up to the task?

I tried manually creating netsurf but that failed due to GLIBC issues:
downloaded netsurf-3.9-i586-1alien.tgz but that needs libssl.so.1.1 and libcrypto.so.1.1, so also downloaded openssl-1.1.1j-i586-1.txz and inserted the libs and symlinks. Resulted in this:

Code: Select all

$ netsurf-gtk 
netsurf-gtk: /lib/libm.so.6: version `GLIBC_2.29' not found (required by netsurf-gtk)
netsurf-gtk: /lib/libc.so.6: version `GLIBC_2.33' not found (required by /lib/libcrypto.so.1.1)
:wall:
Seems Porteus 4.0 has GLIBC_2.27

Code: Select all

ls -o /lib/libc.so.6
lrwxrwxrwx 1 root 12 2018-04-22 20:37 /lib/libc.so.6 -> libc-2.27.so
Not found netsurf on the mirrors either, e.g. in here:
http://ftp.nluug.nl/os/Linux/distr/port ... 0/modules/
Cheers!
Yours Rava

raja
Shogun
Shogun
Posts: 264
Joined: 02 May 2017, 09:51
Distribution: v3.2.2-32 and Porteus-Artix-64
Location: Chennai,India

netsurf for Porteus 4.0

Post#2 by raja » 22 Feb 2021, 18:35

Get version 3.9 from this link,

https://slackware.uk/people/alien/sbrep ... 1alien.tgz

But 3.9 source itself had a bug with download gtk window not staying open during the download process. It was corrected in v3.10.

Alien's module works for browsing. But will close on clicking any download.

Compile v3.10 or 3.7 for porteus-4.0-i586. No problem with downloads.

http://download.netsurf-browser.org/net ... .10.tar.gz
Linux Kernel-4.4.243-32 bit; Linux kernel-5.4.85-64 bit.

User avatar
Rava
Contributor
Contributor
Posts: 2932
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc2 + 4.0 i586 XFCe
Location: Forests of Germany

netsurf for Porteus 4.0

Post#3 by Rava » 27 Feb 2021, 21:14

raja wrote:
22 Feb 2021, 18:35
Get version 3.9 from this link,
https://slackware.uk/people/alien/sbrep ... 1alien.tgz
as I wrote, I already did:
Rava wrote:
20 Feb 2021, 12:46
downloaded netsurf-3.9-i586-1alien.tgz but that needs libssl.so.1.1 and libcrypto.so.1.1, so also downloaded openssl-1.1.1j-i586-1.txz and inserted the libs and symlinks. Resulted in this:

Code: Select all

$ netsurf-gtk 
netsurf-gtk: /lib/libm.so.6: version `GLIBC_2.29' not found (required by netsurf-gtk)
netsurf-gtk: /lib/libc.so.6: version `GLIBC_2.33' not found (required by /lib/libcrypto.so.1.1)
I then tried compiling v3.10, all attempts failed.

1st attempt, only after 20+ minutes did netsurf.SlackBuild tell me it needs gperf.
Installed gperf.

then the source tells me the GTK_TARGET=gtk is invalid, for v.3.10 it has to be either gtk2 or gtk3.

Here my changes to netsurf.SlackBuild

Code: Select all

$ diff netsurf.SlackBuild netsurf.SlackBuild.sh 
47c47
< VERSION=${VERSION:-3.9}
---
> VERSION=${VERSION:-3.10}
58c58
<   GTK_TARGET=gtk
---
>   GTK_TARGET=gtk2
then it complained about perl dependency, so installed libhtml-parser-perl_3.75-1+b1_i386 and added a symlink

Code: Select all

ln -s /usr/lib/i386-linux-gnu/perl5/5.32/HTML/ /usr/lib/perl5/HTML
still it fails

Code: Select all

perl utils/split-messages.pl -l de -p gtk -f messages -o frontends/gtk/res/de/Messages -z resources/FatMessages
Can't locate loadable object for module HTML::Parser in @INC (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5) at /usr/lib/perl5/HTML/Entities.pm line 151.
Compilation failed in require at /usr/lib/perl5/HTML/Entities.pm line 151.
Compilation failed in require at utils/split-messages.pl line 314.
BEGIN failed--compilation aborted at utils/split-messages.pl line 314.
make[1]: *** [Makefile:691: frontends/gtk/res/de/Messages] Error 2
make[1]: Leaving directory '/tmp/build/tmp-netsurf/netsurf-all-3.10/netsurf'
make: *** [Makefile:125: /tmp/build/tmp-netsurf/netsurf-all-3.10/inst-gtk2/build-stamp] Error 2
ln: failed to create symbolic link '/tmp/build/package-netsurf/usr/bin/netsurf-gtk': No such file or directory
netsurf.SlackBuild.sh FAILED at line 202
:wall:
Cheers!
Yours Rava

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2839
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

netsurf for Porteus 4.0

Post#4 by ncmprhnsbl » 27 Feb 2021, 22:38

Rava wrote:
27 Feb 2021, 21:14
then it complained about perl dependency, so installed libhtml-parser-perl_3.75-1+b1_i386 and added a symlink
perl is pretty finicky, i've found you can't just use any old package.. best to compile it exactly for the perl version you're using..
https://slackbuilds.org/repository/14.2 ... ml-parser/
but first:
https://slackbuilds.org/repository/14.2 ... ml-tagset/
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

dZ0TFR
Samurai
Samurai
Posts: 138
Joined: 07 Apr 2019, 07:16
Distribution: Porteus-4.0

netsurf for Porteus 4.0

Post#5 by dZ0TFR » 28 Feb 2021, 15:03

Code: Select all

ln -s libc-2.27.so /lib/libm.so.6
Porteus-4.0-x86 (t.me/porteusrus)

raja
Shogun
Shogun
Posts: 264
Joined: 02 May 2017, 09:51
Distribution: v3.2.2-32 and Porteus-Artix-64
Location: Chennai,India

netsurf for Porteus 4.0

Post#6 by raja » 28 Feb 2021, 17:42

I am posting this message in netsurf-3.9-i586 only.

/mnt/sda1/porteus-qt//modules/netsurf-3.9-i586-1alien.xzm

guest@porteus:~$ ldd /usr/bin/netsurf-gtk
linux-gate.so.1 (0xb7752000)
libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb76de000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb76ad000)
libz.so.1 => /lib/libz.so.1 (0xb7694000)
libcurl.so.4 => /usr/lib/libcurl.so.4 (0xb760d000)
libssl.so.1 => /lib/libssl.so.1 (0xb759c000)
libcrypto.so.1 => /lib/libcrypto.so.1 (0xb73a5000)
libpng16.so.16 => /usr/lib/libpng16.so.16 (0xb736e000)
librsvg-2.so.2 => /usr/lib/librsvg-2.so.2 (0xb724e000)
libm.so.6 => /lib/libm.so.6 (0xb7108000)
libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb6f56000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb6f2d000)
libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb6ed5000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb6db5000)
libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6c69000)
libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb67fc000)
libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb674a000)
libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb673c000)
libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6716000)
libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6700000)
libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb66b9000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6675000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb65c1000)
libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb65bc000)
libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb65b7000)
libpthread.so.0 => /lib/libpthread.so.0 (0xb6598000)
libc.so.6 => /lib/libc.so.6 (0xb63d4000)
libnghttp2.so.14 => /usr/lib/libnghttp2.so.14 (0xb63ad000)
libidn2.so.0 => /usr/lib/libidn2.so.0 (0xb638f000)
libssh2.so.1 => /usr/lib/libssh2.so.1 (0xb635e000)
libldap-2.4.so.2 => /usr/lib/libldap-2.4.so.2 (0xb6313000)
liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0xb6304000)
libdl.so.2 => /lib/libdl.so.2 (0xb62ff000)
libresolv.so.2 => /lib/libresolv.so.2 (0xb62e4000)
libmount.so.1 => /lib/libmount.so.1 (0xb6288000)
libblkid.so.1 => /lib/libblkid.so.1 (0xb6236000)
libuuid.so.1 => /lib/libuuid.so.1 (0xb622e000)
libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb61a9000)
libEGL.so.1 => /usr/lib/libEGL.so.1 (0xb6179000)
libgbm.so.1 => /usr/lib/libgbm.so.1 (0xb616b000)
libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0xb6167000)
libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb6158000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb614c000)
libGL.so.1 => /usr/lib/libGL.so.1 (0xb60dd000)
libxcb-dri3.so.0 => /usr/lib/libxcb-dri3.so.0 (0xb60d8000)
libxcb-xfixes.so.0 => /usr/lib/libxcb-xfixes.so.0 (0xb60cd000)
libxcb-present.so.0 => /usr/lib/libxcb-present.so.0 (0xb60c9000)
libxcb-sync.so.1 => /usr/lib/libxcb-sync.so.1 (0xb60c1000)
libxshmfence.so.1 => /usr/lib/libxshmfence.so.1 (0xb60be000)
libglapi.so.0 => /usr/lib/libglapi.so.0 (0xb60a0000)
libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb609d000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6097000)
libX11-xcb.so.1 => /usr/lib/libX11-xcb.so.1 (0xb6094000)
libxcb-glx.so.0 => /usr/lib/libxcb-glx.so.0 (0xb6078000)
libxcb-dri2.so.0 => /usr/lib/libxcb-dri2.so.0 (0xb6072000)
libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0xb606c000)
libXext.so.6 => /usr/lib/libXext.so.6 (0xb6058000)
libX11.so.6 => /usr/lib/libX11.so.6 (0xb5f16000)
libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb5eec000)
libXau.so.6 => /usr/lib/libXau.so.6 (0xb5ee9000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5ee3000)
libdrm.so.2 => /usr/lib/libdrm.so.2 (0xb5ed0000)
librt.so.1 => /lib/librt.so.1 (0xb5ec7000)
libffi.so.6 => /usr/lib/libffi.so.6 (0xb5ec0000)
libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xb5e09000)
libbz2.so.1 => /lib/libbz2.so.1 (0xb5df8000)
libcroco-0.6.so.3 => /usr/lib/libcroco-0.6.so.3 (0xb5dba000)
libpcre.so.1 => /lib/libpcre.so.1 (0xb5d42000)
libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb5bdb000)
liblzma.so.5 => /lib/liblzma.so.5 (0xb5bb1000)
libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb5b93000)
/lib/ld-linux.so.2 (0xb7753000)
libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb5b90000)
libXi.so.6 => /usr/lib/libXi.so.6 (0xb5b7e000)
libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb5b72000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb5b67000)
libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb5b64000)
libfribidi.so.0 => /usr/lib/libfribidi.so.0 (0xb5b49000)
libunistring.so.2 => /usr/lib/libunistring.so.2 (0xb59c8000)
libsasl2.so.3 => /usr/lib/libsasl2.so.3 (0xb59aa000)

Try v3.7 . it may compile in porteus-4.0
Linux Kernel-4.4.243-32 bit; Linux kernel-5.4.85-64 bit.

User avatar
Rava
Contributor
Contributor
Posts: 2932
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc2 + 4.0 i586 XFCe
Location: Forests of Germany

netsurf for Porteus 4.0

Post#7 by Rava » 28 Feb 2021, 17:54

ncmprhnsbl wrote:
27 Feb 2021, 22:38
perl is pretty finicky, i've found you can't just use any old package.. best to compile it exactly for the perl version you're using..
https://slackbuilds.org/repository/14.2 ... ml-parser/
but first:
https://slackbuilds.org/repository/14.2 ... ml-tagset/
Indeed, calling perl finicky is so true. Often in the past creation of a module failed because of perl.
I first try this
dZ0TFR wrote:
28 Feb 2021, 15:03

Code: Select all

ln -s libc-2.27.so /lib/libm.so.6
and if it not solves the issue I try your approach, ncmprhnsbl. :)

In Terminator voice "I'll be back…" *jk*
Cheers!
Yours Rava

User avatar
Rava
Contributor
Contributor
Posts: 2932
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc2 + 4.0 i586 XFCe
Location: Forests of Germany

netsurf for Porteus 4.0

Post#8 by Rava » 01 Mar 2021, 22:30

dZ0TFR tip is of no help, the link already exists.

Code: Select all

root@porteus:/lib# ls -o libc-2.27.so libm.so.6
-rwxr-xr-x 1 root 2037376 2018-02-06 05:11 libc-2.27.so
lrwxrwxrwx 1 root      12 2018-04-22 20:37 libm.so.6 -> libm-2.27.so
Tomorrow, if I find the time I try ncmprhnsbl perl tips.

Added in 2 minutes 34 seconds:
raja wrote:
28 Feb 2021, 17:42
I am posting this message in netsurf-3.9-i586 only.

/mnt/sda1/porteus-qt//modules/netsurf-3.9-i586-1alien.xzm
Are you running i586 Port4.0 as OS?
Cheers!
Yours Rava

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2839
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

netsurf for Porteus 4.0

Post#9 by ncmprhnsbl » 02 Mar 2021, 00:20

something else to consider: try ./configure --help in the source and see if there's a way to 'build without docs' or similar.. , since that's what perl-html-parser is used for...
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

raja
Shogun
Shogun
Posts: 264
Joined: 02 May 2017, 09:51
Distribution: v3.2.2-32 and Porteus-Artix-64
Location: Chennai,India

netsurf for Porteus 4.0

Post#10 by raja » 02 Mar 2021, 08:09

Yes...Porteus-4.0-i586-LXQT in my old laptop..2007 make..Intel T2060 CPU (32bit) with 2GB memory. I do have v3.22 LXDE also.
Linux Kernel-4.4.243-32 bit; Linux kernel-5.4.85-64 bit.

User avatar
Rava
Contributor
Contributor
Posts: 2932
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc2 + 4.0 i586 XFCe
Location: Forests of Germany

netsurf for Porteus 4.0

Post#11 by Rava » 02 Mar 2021, 17:50

raja wrote:
02 Mar 2021, 08:09
Yes...Porteus-4.0-i586-LXQT in my old laptop..2007 make..Intel T2060 CPU (32bit) with 2GB memory. I do have v3.22 LXDE also.
and your netsurf 3.9 module works?
care to share it?
ncmprhnsbl wrote:
02 Mar 2021, 00:20
something else to consider: try ./configure --help in the source and see if there's a way to 'build without docs' or similar.. , since that's what perl-html-parser is used for...
for some reason netsurf.SlackBuild unpacks the source, aka netsurf-all-3.10.tar.gz, into /tmp and deletes all that afterwards.
I manually extract it and report back after a ./configure --help :)

Anyhow, since compilation is quite slow on the single core "Genuine Intel(R) CPU U1400 @ 1.20GHz" with only 1253MB RAM from which the GPU also takes its RAM since it has none of its own - I think I will install the same 3.1 kernel with 4.0 system variant to one of my multi-core x86-64 capable machines. Compiling should go more smoothly then.

Anyhow² - that I am forced using the 3.1 kernel with 4.0 system - can that cause issues, running or compiling netsurf?
Because with the 4.0 kernel all I got was this during booting - kernel loading
Image
(see 4.0 bug reports thread for details)
Cheers!
Yours Rava

Post Reply